- Qt 5.15
- Qt 3D
- QML Types
- PlaneMesh QML Type
- Qt 5.15.18 Reference Documentation

# PlaneMesh QML Type

A square planar mesh. More...

Import Statement: | import Qt3D.Extras 2.15

- List of all members, including inherited members

## Properties

- height : real
- meshResolution : size
- mirrored : bool
- width : real

## Detailed Description

## Property Documentation

height : real

Holds the plane height.

meshResolution : size

Holds the plane resolution. The width and height values of this property specify the number of vertices generated for the mesh in the respective dimensions.

mirrored : bool

Controls if the UV coordinates of the plane should be flipped vertically.

This property was introduced in Qt 5.9.

width : real

Holds the plane width.